//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWEditTextCtrl : public VWControl
		{
		public:
							VWEditTextCtrl(TControlID id);
			virtual			~VWEditTextCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, const TXString& text, short widthInCharacters, short heightInLines=1);

		// attributes
		public:
			void			GetText255(TXString& string);
			void			GetMultilineText(TXString& string);
			void			SetText255(const TXString& string);
			void			SetMultilineText(const TXString& string);
			void			SelectContent();
			void			DeselectContent();

		};
	}
}